package com.jojubanking.boot.module.system.service.wqwt;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.wqwt.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.wqwt.WqwtDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 问卷调查问题 Service 接口
 *
 * @author admin
 */
public interface WqwtService {

    /**
     * 创建问卷调查问题
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createWqwt(@Valid WqwtCreateReqVO createReqVO);

    /**
     * 更新问卷调查问题
     *
     * @param updateReqVO 更新信息
     */
    void updateWqwt(@Valid WqwtUpdateReqVO updateReqVO);

    /**
     * 删除问卷调查问题
     *
     * @param id 编号
     */
    void deleteWqwt(Integer id);

    /**
     * 获得问卷调查问题
     *
     * @param id 编号
     * @return 问卷调查问题
     */
    WqwtDO getWqwt(Integer id);

    /**
     * 获得问卷调查问题列表
     *
     * @param ids 编号
     * @return 问卷调查问题列表
     */
    List<WqwtDO> getWqwtList(Collection<Integer> ids);

    /**
     * 获得问卷调查问题分页
     *
     * @param pageReqVO 分页查询
     * @return 问卷调查问题分页
     */
    PageResult<WqwtDO> getWqwtPage(WqwtPageReqVO pageReqVO);

    /**
     * 获得问卷调查问题列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 问卷调查问题列表
     */
    List<WqwtDO> getWqwtList(WqwtExportReqVO exportReqVO);

}
